//// poemtest.cpp
///  entity test program
//   Erik Naggum 1994-04-11

#include <iostream.h>
#include "poem.h"

main (int argc, char * argv[])
{
    POEM::character c;

    if (argc == 1) return 0;

    POEM::Entity * test = new POEM::Entity ("test", argv[1]);

    if (!test->valid () || !test->open (1024))
	return 1;

    int i;
    do {
	i = 0;
	while (i < 1000 && ((c = test->peek (i++)) != 0))
	    cout << char(c);
    } while (test->step (i));
 
    POEM::Entity::Location where = test->tell ();
    cout << "\n--\n" << where.charno () << " " << where.recno () << endl;
    delete test;
    return 0;
}
 
// local variables:
// mode: c++
// end:
